component  {

    this.name = "test-coldbox";
	
	this.mappings[ "/coldbox" ] = ExpandPath( "/modules/coldbox/" );

	COLDBOX_APP_ROOT_PATH = GetDirectoryFromPath( GetCurrentTemplatePath() );
	COLDBOX_APP_MAPPING   = "";
	COLDBOX_CONFIG_FILE   = "config.Coldbox";
	COLDBOX_APP_KEY       = "";
	COLDBOX_FAIL_FAST     = false;


	public Boolean function onApplicationStart() {

		application.cbBootstrap = new coldbox.system.Bootstrap(
			COLDBOX_CONFIG_FILE,
			COLDBOX_APP_ROOT_PATH,
			COLDBOX_APP_KEY,
			COLDBOX_APP_MAPPING,
			COLDBOX_FAIL_FAST
		);

		application.cbBootstrap.loadColdbox();

		cffile( action="append" file="#ExpandPath('/application.log')#" output="#now()# - Root:onApplicationStart" );

		return true;
	
	}

	public Boolean function onRequestStart( string targetPage ) {

		onApplicationStart();

		url.fwreinit = 1;

		application.cbBootstrap.onRequestStart( arguments.targetPage );

		cffile( action="append" file="#ExpandPath('/application.log')#" output="#now()# - Root:onRequestStart" );

		return true;
	}

}
